Story # 6723 (Closed): test v2 MN and CN buildouts

add new tests for v2 methods

2015-01-06 18:19 - Rob Nahf

Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Andrei Buium % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Associated revisions

Revision 15222 - 2015-02-12 23:14 - Andrei Buium

Committed SIDIntegrationTests.java which so far contains tests for getSystemMetadata for 18 cases we've come up so far for resolving a SID into a

PID.

Contains setup methods for each scenario, hopefully reusable for other tests beyone getSystemMetadata.

The testGetSystemMetadata method uses the setup methods, calls getSystemMetadata with a SID, and then checks if the returned metadata's PID

matches what we'd expect.

Also overrode the createTestObject method in ContextAwareTestCaseDataOne, split into two methods, one to be usable by the tests.

refs #6725

Revision 15222 - 2015-02-12 23:14 - Andrei Buium

Committed SIDIntegrationTests.java which so far contains tests for getSystemMetadata for 18 cases we've come up so far for resolving a SID into a

PID.

Contains setup methods for each scenario, hopefully reusable for other tests beyone getSystemMetadata.

The testGetSystemMetadata method uses the setup methods, calls getSystemMetadata with a SID, and then checks if the returned metadata's PID

matches what we'd expect.

Also overrode the createTestObject method in ContextAwareTestCaseDataOne, split into two methods, one to be usable by the tests.

refs #6725

Revision 15234 - 2015-02-16 23:12 - Andrei Buium

Continued implementing SID-related integration tests (SIDIntegrationTests renamed to SidCommonIT and lots of functionality rewritten, SidCNIT and

SidMNIT added for CN/MN-specific tests). Moved some CN/MNCallAdapter code into CommonCallAdapter. Reverted some changes to

ContextAwareTestCaseDataOne because the functionality made more sense in SidCommonIT.

refs #6725

Revision 15234 - 2015-02-16 23:12 - Andrei Buium

Continued implementing SID-related integration tests (SIDIntegrationTests renamed to SidCommonIT and lots of functionality rewritten, SidCNIT and
SidMNIT added for CN/MN-specific tests). Moved some CN/MNCallAdapter code into CommonCallAdapter. Reverted some changes to

ContextAwareTestCaseDataOne because the functionality made more sense in SidCommonIT.

refs #6725

Revision 15240 - 2015-02-17 22:56 - Andrei Buium

Just a few fixes and some reorganizing for the SID-related integration tests

refs #6725

Revision 15240 - 2015-02-17 22:56 - Andrei Buium

Just a few fixes and some reorganizing for the SID-related integration tests

refs #6725

Revision 15245 - 2015-02-19 17:09 - Andrei Buium

Moved updateSystemMetadata() from CN/MNCallAdapter into CommonCallAdapter.

Made improvements to SidCommonIT, SidCNIT, and SidMNIT - abstracting out a few parameters, making tests more readable, etc.

Realized the modifications to ContextAwareTestCaseDataone.createTestObject() were contradictory to the API - obsoletes or obsoletedBy cannot be

part of the SystemMetadata at the time of creation. Fixed method signatures.

Also fixed a bug in CNCoreTestImplementations.

refs #6725

Revision 15245 - 2015-02-19 17:09 - Andrei Buium

Moved updateSystemMetadata() from CN/MNCallAdapter into CommonCallAdapter.

Made improvements to SidCommonIT, SidCNIT, and SidMNIT - abstracting out a few parameters, making tests more readable, etc.

Realized the modifications to ContextAwareTestCaseDataone.createTestObject() were contradictory to the API - obsoletes or obsoletedBy cannot be

part of the SystemMetadata at the time of creation. Fixed method signatures.

Also fixed a bug in CNCoreTestImplementations.

refs #6725

Revision 15251 - 2015-02-23 21:08 - Andrei Buium

Split the existing SID test classes into CN, MN, and a common class (SidCN/MNTestImplementations, SidCommonTestImplementations)

Since we're expecting imminent validation on the V2 API methods, the existing PID chain setup methods (for the 18 cases we've recorded) don't

make sense for MNs. So I split the setup methods into the CN/MN test implementation classes with the existing ones being the CN setup methods. I
wrote new test scenarios for the MN case.

Changing all SID-related tests to match our existing format:

- chanaged the Sid test classes from test classes to Sid*Implementations.java, so it can be used in composition

- created *TestDefinitions.java interfaces for SID-related tests, split up by the API they belong to

- added these ^ interfaces to the *V2IT.java test classes

- added the Sid*Implementations classes as members of the *V2IT.java test classes

Implemented Rob's new test annotations on the new SID tests, and started adding them to the existing tests.

refs #6725

Revision 15251 - 2015-02-23 21:08 - Andrei Buium

Split the existing SID test classes into CN, MN, and a common class (SidCN/MNTestImplementations, SidCommonTestImplementations)

Since we're expecting imminent validation on the V2 API methods, the existing PID chain setup methods (for the 18 cases we've recorded) don't

make sense for MNs. So I split the setup methods into the CN/MN test implementation classes with the existing ones being the CN setup methods. I

wrote new test scenarios for the MN case.

Changing all SID-related tests to match our existing format:

- chanaged the Sid test classes from test classes to Sid*Implementations.java, so it can be used in composition

- created *TestDefinitions.java interfaces for SID-related tests, split up by the API they belong to

- added these ^ interfaces to the *V2IT.java test classes

- added the Sid*Implementations classes as members of the *V2IT.java test classes

Implemented Rob's new test annotations on the new SID tests, and started adding them to the existing tests.

refs #6725

Revision 15252 - 2015-02-23 23:15 - Andrei Buium

Working on implemented Rob's new test annotations on the existing tests: added them to CNCoreTestImplementations.

refs #6725

Revision 15252 - 2015-02-23 23:15 - Andrei Buium

Working on implemented Rob's new test annotations on the existing tests: added them to CNCoreTestImplementations.

refs #6725

Revision 15270 - 2015-03-02 22:25 - Andrei Buium

Refactored the v1-v2 type conversion out of the CommonCallAdapter, added methods for converting in the reverse direction.

refs #6725
Revision 15270 - 2015-03-02 22:25 - Andrei Buium

Refactored the v1-v2 type conversion out of the CommonCallAdapter, added methods for converting in the reverse direction.

refs #6725

Revision 15274 - 2015-03-03 00:55 - Andrei Buium

Went through all tests in ReadTestImplementations, CNReadTestImplementations, and MNReadTestImplementations and added WebTestName and

WebTestDescription annotations to them.

refs #6725

Revision 15274 - 2015-03-03 00:55 - Andrei Buium

Went through all tests in ReadTestImplementations, CNReadTestImplementations, and MNReadTestImplementations and added WebTestName and

WebTestDescription annotations to them.

refs #6725

Revision 15288 - 2015-03-05 00:11 - Andrei Buium

Continued adding documenting annotations to test code.

refs #6725

Revision 15288 - 2015-03-05 00:11 - Andrei Buium

Continued adding documenting annotations to test code.

refs #6725

Revision 15305 - 2015-03-06 21:40 - Andrei Buium

Continued adding documenting annotations to test code.

refs #6725

Revision 15305 - 2015-03-06 21:40 - Andrei Buium

Continued adding documenting annotations to test code.

refs #6725

Revision 15416 - 2015-04-09 15:51 - Andrei Buium

Committing updates to some sid tests and to v2 CNCore tests, adding to system metadata tests.

refs #6725

Revision 15416 - 2015-04-09 15:51 - Andrei Buium

Committing updates to some sid tests and to v2 CNCore tests, adding to system metadata tests.

refs #6725

Revision 15417 - 2015-04-09 17:13 - Andrei Buium

Committing a few more updates to system metadata tests.

refs #6725

Revision 15417 - 2015-04-09 17:13 - Andrei Buium

Committing a few more updates to system metadata tests.

refs #6725
Revision 15424 - 2015-04-10 19:09 - Andrei Buium

Committing some fixes to SystemMetadataChangedTestImplementations

refs #6725

Revision 15424 - 2015-04-10 19:09 - Andrei Buium

Committing some fixes to SystemMetadataChangedTestImplementations

refs #6725

Revision 15426 - 2015-04-10 20:26 - Andrei Buium

Committing a few more fixes to system metadata changed/update tests

refs #6725

Revision 15426 - 2015-04-10 20:26 - Andrei Buium

Committing a few more fixes to system metadata changed/update tests

refs #6725

History

#1 - 2015-02-09 19:36 - Rob Nahf

need to:  

1. test SID behavior for methods that accept SIDs.

2. create tests for new methods (addFormat?)

3. ??

#2 - 2015-05-28 19:26 - Andrei Buium

- % Done changed from 0 to 30

- Status changed from New to In Progress

API tests have been added for new methods in existing APIs, plus for MN/CNView and MNPackage APIs.

Also added some functional tests for methods that now take SIDs as well as PIDs.

#3 - 2015-05-28 19:41 - Andrei Buium

- Assignee changed from Rob Nahf to Andrei Buium

#4 - 2015-07-15 17:29 - Andrei Buium

- Status changed from In Progress to Testing

- % Done changed from 30 to 50

All new API methods are covered by tests. Did a little testing a while back, need to get back to it since things are implemented now.

#5 - 2015-11-04 18:46 - Andrei Buium
- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

- % Done changed from 50 to 100

Tests against new v2 methods and v2 methods that now use serial IDs are working properly and passing against current trunk implementation.
